Subject: Re: [PATCH 0/3] pack-objects: simplify add_objects_in_unpacked_packs()

From: Taylor Blau <[email-masked]>
Date: Mon, 30 Aug 2021 17:30:02 -0400

On Mon, Aug 30, 2021 at 04:58:34PM -0400, Jeff King wrote:
> Those unknown objects cost 72 bytes of heap each (the same size as a
> commit, since it's the biggest struct and the unknown object is a
> union). We've seen some real-world cases where there are 40M+
> unreachable objects. So that's almost 3GB of wasted RAM during
> pack-objects just to store those "did I see it already" bits. :)

I wondered if you could see the drop-off represented in GitHub's overall
"total heap allocated by Git" metrics, but they get drowned out in the
noise of other processes we're running.

But not wasting memory there is obviously good, even if it isn't
noticeable in the overall metrics.

Thanks,
Taylor